%define oname baloo-widgets

Summary:	Plasma 5 Baloo Widgets
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5filemetadata-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Plasma 5 Baloo Widgets support files.

%files
%{_kde5_bindir}/baloo_filemetadata_temp_extractor

#----------------------------------------------------------------------------

%define kf5baloowidgets_major 5
%define libkf5baloowidgets %mklibname kf5baloowidgets %{kf5baloowidgets_major}

%package -n %{libkf5baloowidgets}
Summary:	Plasma 5 Baloo Widgets shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5baloowidgets}
Plasma 5 Baloo Widgets shared library.

%files -n %{libkf5baloowidgets}
%{_kde5_libdir}/libKF5BalooWidgets.so.%{kf5baloowidgets_major}*

#----------------------------------------------------------------------------

%define devkf5baloowidgets %mklibname kf5baloowidgets -d

%package -n %{devkf5baloowidgets}
Summary:	Development files for Plasma 5 Baloo widgets
Group:		Development/KDE and Qt
Requires:	%{libkf5baloowidgets} = %{EVRD}
Provides:	kf5baloowidgets-devel = %{version}

%description -n %{devkf5baloowidgets}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5baloowidgets}
%dir %{_kde5_includedir}/KF5/BalooWidgets
%{_kde5_includedir}/KF5/BalooWidgets/*
%{_kde5_libdir}/cmake/KF5BalooWidgets
%{_kde5_libdir}/libKF5BalooWidgets.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (2345c41) New version 16.04.3


